comment
benotung(punkte,min,max)
schleife(min,max)
skala(min,max)
bereiche(min,max)
endcomment

function map benotung (punkte;min,max) ...
	scala=[1,1.3,1.7,2,2.3,2.7,3,3.3,3.7,4];
	if punkte<min then return 5;
	elseif punkte>=max then return 1;
	else
		res=4-(punkte-min)/(max-min)*3;
	return scala[extrema(abs(scala-res))[2]];
	endif;
endfunction

function schleife (min,max) ...
	"Press Escape to stop"
	repeat
		p=input("Punkte");
		benotung(p,min,max),
	end
endfunction

function skala (min,max) ...
	n=min:0.5:max;
	return n'|benotung(n,min,max)'
endfunction

function bereiche (min,max) ...
	A=skala(min,max)';
	i=0|nonzeros(differences(A[2]))|cols(A);
	k=1:cols(i)-1;
	return (A[1,i[k]+1]_A[1,i[k+1]]_A[2,i[k]+1])';
endfunction