if isvar("delay") then d=delay; else d=0.1; endif;

plot2d("x^x"); wait(d);
plot2d("x^x",r=2); wait(d);
plot2d("x^x",0,2); wait(d);
plot2d("x^x",a=-1,b=2,c=-1,d=2,thickness=2,color=5); wait(d);
plot2d("x^2",style=".",adaptive=0,n=10); wait(d);
plot2d("x^2",style="->",adaptive=0,n=10); wait(d);
plot2d("x^2",adaptive=0,n=500,xl="x",yl="y"); wait(d);
plot2d("exp(-x)",0,1,square=1); wait(d);
x=-1:0.1:1; y=x^3-x; plot2d(x,y); wait(d);
x=-1:0.1:1; y=x^3-x; plot2d(x,y,points=1,add=1); wait(d);
plot2d(cumsum(random(1,1000)-0.5)); wait(d);
plot2d(cumsum(normal(1,1000))); wait(d);
plot2d("x^2+y^3",r=4,niveau=-100:5:100); wait(d);
plot2d("x^2+y^3",r=4,contour=1,hue=1); wait(d);
plot2d("x^2+y^3",niveau=0,thickness=3,color=10,add=1); wait(d);
x=-2:0.05:2; y=x'; plot2d(x^2+y^3,niveau=0,hue=1); wait(d);
v=0:599; v=floor(v/100)+1; plot2d(v,histogram=6); wait(d);
plot2d(normal(1,1000),distribution=1); 
plot2d("qnormal(x)",add=1,thickness=3); wait(d);
t=(0:19)*2*pi/20; 
plot2d(cos(t),sin(t),r=2,polygon=1,filled=1,style="/"); wait(d);
plot2d("sin(2*x)","cos(5*x)",xmin=0,xmax=2*pi,r=1.5); wait(d);

plot2d("cos(x)",a=0,b=1,square=1); plot2d("x",color=3,add=1);
a=iterate("cos(x)",1); plot2d(a,a,points=1,style="o",add=1);
label("fixpoint",a,a); wait(d);

fwebplot("cos(x)",0,1,0.5,10); wait(d);

plot3d("x*y"); wait(d);
plot3d("x*y",r=2,wire=1); wait(d);
plot3d("x*y",r=2,hue=1); wait(d);
plot3d("x*y",r=2,contour=1); wait(d);
plot3d("x*y",r=2,niveau=0:4); wait(d);
plot3d("x^y-y^x",r=2,wire=1); wait(d);
x=-2:0.05:2; y=x'; 
plot3d(x,y,x*y,wire=1); wait(d);
plot3d(x,y,x*y,lines=1); wait(d);
plot3d(x,y,x*y,niveau=0); wait(d);
plot3d(x,x^2+y^2,y,niveau=-4:4,values=x*y); wait(d);
plot3d(x,x^2+y^2,y,wire=1,anaglyph=1); wait(d);
plot3d(random(10,10),bar=1); wait(d);
plot3d("x^2+y^2",n=5,sliced=1); wait(d);
A=normal(3,1000); plot3d(A[1],A[2],A[3],points=1,style="."); wait(d);
plot3d("x^2+y^2+z^2-1",implicit=1); wait(d);
plot3d("x^2+y^2+z^3-1",implicit=3,n=20); wait(d);

clg;
hold on;
setplot(0,10,0,10); markerstyle("x"); color(1); mark(0,0);
markerstyle("o"); mark(1,1);
markerstyle("*"); mark(2,2);
markerstyle("[]"); color(3); mark(3,3);
barcolor(5); bar([100,100,100,100]);
barcolor(rgb(1,0.2,0.3)); bar([300,100,100,100]);
barcolor(4); barstyle("/"); bar([500,100,200,100]);
color(1); style(""); plot([0,1],[1,2]);
color(rgb(0.5,0.5,0.5)); style("->"); plot([0,1],[2,3]);
color(12); style("-"); plot([0,1],[3,4]);
textcolor(1); text("This is a test",500,500);
textcolor(6); vtext("This is a test",500,500);
textcolor(6); vutext("This is a test",500,500);
textcolor(rgb(1,0.5,0.5)); ctext("This is a test",500,800);
hold off;
savepng(userhome()|"test");
savesvg(userhome()|"test");
saveps(userhome()|"test");
