relax	

function overwrite pivotizeRows (A,i,j)
## Make A[i,j]=1 and all other elements in column j equal to 0
## using elementary operations.
	k:=1:rows(A); k:=nonzeros(k<>i);
	A[k]:=A[k]-A[k,j]/A[i,j]*A[i];
	A[i]:=A[i]/A[i,j];
	return A;
endfunction

function overwrite normalizeRow (A,i,j)
## Divide row j by A[i,j].
	A[i]:=A[i]/A[i,j];
	return A;
endfunction

function overwrite swapRows (A,i1,i2)
## Swap rows i1 and i2 of A.
	A[[i1,i2]] := A[[i2,i1]];
	return A
endfunction

function MRT1 (A,j)
## Test row j for a Pivot (wL)
	"Quotients :"
	loop 1 to rows(A)-1; 
            if A[#,j]==0 then "no limit"
                         else print(A[#,-1]/A[#,j]) endif; 
        end;
endfunction

function MRT (A,j)
## Test row j for a Pivot (rG)
	"Quotients :"
	i:=1:rows(A)-1;
	i1:=nonzeros(A[i,j]>0);
	if cols(i1)==0 then return "No Pivot found"; endif;
	d:=A[i1,-1]/A[i1,j],
	e:=extrema(d');
	return "Take : i="|print(i1[e[2]],0,0)|" j="|print(j,0,0);
endfunction
