load testfunctions;

test(mxm("10!"),10!)

test(''mxmeval("diff(x^3,x)",x=4)'',48)
test(''"::diff(x^3,x)"(4)'',48)
test(''"::diff(x^3,x)"(4)'',48)
test("::diffat(x^3,x=4)",48)

:: function f(x) := x^3;
test("::f(4)",64)
:: x^3; f(x) := %;
test("::f(4)",64)
:: function f(x) := x;
test("::f(4)",4)
:: x^2; f(x) := ''%;
test("::f(4)",16)

expr:="x^3";
function f(x) := @expr
test("f(4)",64)
function f(x) := @:"diff(@expr,x)"
test("f(4)",48)
:: res := at(@expr,x=2);
test("::res",8)
:: @expr | x=2; res := %;
test("::res",8)

function f(x) ::= x^2
test("f(4)",16)
test("::f(4)",16)

a::=3;
test("a^2",9);
test("::a^2",9);

v::=1:20;
test("sum(v)",210);
test("::sum(v[k],k,1,20)",210);
w=mxmget("v");
test("sum(w)",210);
// mxmset(w);
// test("::sum(w[k],k,1,20)",210);

testapprox(''mxmnewton("x^2",1,y=2)'',sqrt(2));
azero=mxmnewtonfxy("x+y-1","x^2+y^2-2",[1,0]); 
testapprox("azero[1]+azero[2]",1);
testapprox("azero[1]^2+azero[2]^2",2);
testapprox(''mxminewton("x^2",1,y=2)'',sqrt(2));
testapprox(''mxmiint("x^2",0,1)'',1/3);

expr="[x+y-1,x^2+y^2-2]";
function f(v)
	x=v[1]; y=v[2];
	return @expr;
endfunction
function Df(v)
	x=v[1]; y=v[2];
	return @:"jacobian(@expr,[x,y])"
endfunction
azero=inewton2("f","Df",[1,0]); 
testapprox("azero[1]+azero[2]",1);
testapprox("azero[1]^2+azero[2]^2",2);

A:=[1,2;3,1];
testapprox("sort((mxmeigenvalues(A)))",sort(real(eigenvalues(A))))
